MethodDefinition-class {methods} | R Documentation

## Classes to Represent Method Definitions

### Description

These classes extend the basic class `"function"` when functions are to be stored and used as method definitions.

### Objects from the Class

Objects can be created by calls of the form `new("MethodDefinition", ...)`. ~~ describe objects here ~~

### Slots

`.Data`:
  Object of class `"function"`; the data part of the definition.
`target`:
  Object of class `"signature"`; the signature for which the method was wanted.
`defined`:
  Object of class `"signature"`; the signature for which a method was found. If the method was inherited, this will not be identical to `target`.

### Extends

Class `"function"`, from data part. Class `"PossibleMethod"`, directly. Class `"OptionalMethods"`, by class "function".

### Methods

findNextMethod
  `signature(method = "MethodDefinition")`: ...
loadMethod
  `signature(method = "MethodDefinition")`: ...
show
  `signature(object = "MethodDefinition")`: ...

### See Also

See `MethodWithNext-class` for an extension used by `callNextMethod`.

[Package Contents]